Bug 5462 - sysklogd didn't allow remote logging..it said setsockopt(BSDCOMPAT), suspending inet
sysklogd didn't allow remote logging..it said setsockopt(BSDCOMPAT), suspendi...
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: sysklogd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
: 5471 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-30 22:17 EDT by mbartsch
Modified: 2014-03-16 22:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-01 12:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mbartsch 1999-09-30 22:17:36 EDT
running sysklogd -r fails saying setsockopt(BSDCOMPAT),
suspending inet.

sorry for the short problem report. but the porblem is
short, this modfication
is done on the sysklogd-fixDoS.patch
Comment 1 Bill Nottingham 1999-10-01 12:16:59 EDT
This is fixed in the latest sysklogd package (1.3.31-12.)
Comment 2 Bill Nottingham 1999-10-01 18:33:59 EDT
*** Bug 5471 has been marked as a duplicate of this bug. ***

Two RH6.0 machines seem to have no remote syslog after
upgrading to
sysklogd-1.3.31-11.i386.rpm. Downgrading to
sysklogd-1.3.31-6.i386.rpm
fixes remote reception.

I upgraded because I'm having problems with syslog/klog
(1.3.31-6)
getting in a bad state while remotely logging a sonicwall
firewall.
This "bad state" causes login to hang, apparently waiting on
klogd. If I
(re)start klogd (sometimes it's already dead), the login
proceeds. This
machine is also logging 4 jetdirect boxes. During this bad
state, all
logging stops.

The other RH6.0 machine is logging only one jetdirect box
and hasn't
shown this problem.

I enable remote reception by adding the "-r" switch to the
command line
in /etc/rc.d/init.d/syslog.

# See how we were called.
case "$1" in
  start)
    echo -n "Starting system logger: "
    # we don't want the MARK ticks
    daemon syslogd -r -m 0
    echo
    echo -n "Starting kernel logger: "
    daemon klogd
    echo
    touch /var/lock/subsys/syslog
    ;;

Note You need to log in before you can comment on or make changes to this bug.